## org.jvnet.maven.plugin.antrun
Class IfTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Sequential
                  org.jvnet.maven.plugin.antrun.IfTask

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.tools.ant.TaskContainer

    public class IfTask

extends org.apache.tools.ant.taskdefs.Sequential

Conditional execution.

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IfTask()`

Method Summary
`void` `execute()`
`void` `setTest(boolean value)`

Methods inherited from class org.apache.tools.ant.taskdefs.Sequential
`addTask`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfTask

    public IfTask()

Method Detail

### setTest

    public void setTest(boolean value)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.Sequential`
  Throws:
    `org.apache.tools.ant.BuildException`

Copyright © 2011. All Rights Reserved.